package com.zhentao.common.course.controller;

import com.zhentao.common.course.domain.Product;
import com.zhentao.common.course.dto.ProductDto;
import com.zhentao.common.course.service.ProductService;
import com.zhentao.util.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("product")
public class ProductController {
    @Autowired
    private ProductService productService;
    @RequestMapping("add")
    public ResultVo add(@RequestBody ProductDto productDto){
        return ResultVo.OK(productService.add(productDto));
    }
//    查看分类
    @RequestMapping("findCategory")
    public ResultVo findCategory(Integer id){
        return ResultVo.OK(productService.findCategory(id));
    }
}
