package com.zhentao.common.course.service;

import com.zhentao.common.course.domain.Product;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.common.course.domain.ProductCategory;
import com.zhentao.common.course.dto.ProductDto;
import com.zhentao.util.ResultVo;

/**
* @author 86159
* @description 针对表【product(商品基本信息表)】的数据库操作Service
* @createDate 2025-05-08 19:32:50
*/
public interface ProductService extends IService<Product> {
//    课程添加
    ResultVo add(ProductDto productDto);
    //    查看分类
    ProductCategory findCategory(Integer id);
}
