package com.zhentao.common.orders.controller;



import com.zhentao.common.orders.dto.OrdersDto;
import com.zhentao.common.orders.service.OrdersService;
import com.zhentao.util.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("orders")
public class OrderController {
    @Autowired
    private OrdersService ordersService;

    @RequestMapping("add")
    public ResultVo Add(@RequestBody OrdersDto ordersDto){
        return ordersService.add(ordersDto);
    }

    @RequestMapping("findAll")
    public ResultVo findAll(){
        return ordersService.findAll();
    }
}