package com.zhentao.util;

import com.zhentao.constants.CommonConstant;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResultVo {
    private Integer code;
    private String message;
    private Object data;

    public static ResultVo OK(){
        return new ResultVo(CommonConstant.OK,CommonConstant.SUCCESS,null);
    }
    public static ResultVo ERROR(){
        return new ResultVo(CommonConstant.ERROR,CommonConstant.FAILD,null);
    }
    public static ResultVo OK(Object data){
        return new ResultVo(CommonConstant.OK,CommonConstant.SUCCESS,data);
    }
    public static ResultVo ERROR(Object data){
        return new ResultVo(CommonConstant.ERROR,CommonConstant.FAILD,data);
    }
}
